View Issue Details

IDProjectCategoryView StatusLast Update
0004567PartDesignBugpublic2021-02-24 16:30
Reporterrockn Assigned Towmayer  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSUbuntuOS Version20.04
Product Version0.19 
Target Version0.19 
Summary0004567: Pattern from a feature type UpToFace and Offset > copy whole body
DescriptionPattern behave incorrectly when feature to repeat are of type UpToFace and have an offset.

Please find screenshot and file on the forum :
https://forum.freecadweb.org/viewtopic.php?f=8&t=55603
Steps To Reproduce
  • Switch to part design
  • Create a body.
  • Create a feature like a pad with UpToFace type. Set an offset (positive or negative)
  • Create a pattern (linear) of the last feature (one with up to face type)
  • You should see that the whole body is repeated instead of just the asked feature.
TagsNo tags attached.
FreeCAD InformationOS: Ubuntu 20.04.2 LTS (ubuntu:GNOME/ubuntu)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.24054
Build type: Release
Branch: master
Hash: ed873038025277f220dfaa058599a0dfbb435835
Python version: 3.8.5
Qt version: 5.12.8
Coin version: 4.0.0
OCC version: 7.3.0
Locale: French/France (fr_FR)

Relationships

related to 0004494 closedwmayer Error "Result is empty" for Pads and Pockets with non zero Offset 

Activities

wmayer

2021-02-24 16:30

administrator   ~0015429

Fix committed to master branch.

Related Changesets

FreeCAD: master bc5311b3

2021-02-24 16:08:20

wmayer

Details Diff
PD: fixes 0004567: Pattern from a feature type UpToFace and Offset > copy whole body Affected Issues
0004567
mod - src/Mod/PartDesign/App/FeaturePad.cpp Diff File
mod - src/Mod/PartDesign/App/FeaturePocket.cpp Diff File
mod - src/Mod/PartDesign/App/FeatureSketchBased.cpp Diff File
mod - src/Mod/PartDesign/App/FeatureSketchBased.h Diff File

Issue History

Date Modified Username Field Change
2021-02-15 09:21 rockn New Issue
2021-02-15 09:59 rockn Summary Pattern from a feature with up to face > copy whole body => Pattern from a feature type UpToFace and Offset > copy whole body
2021-02-15 09:59 rockn Description Updated View Revisions
2021-02-15 09:59 rockn Steps to Reproduce Updated View Revisions
2021-02-15 10:50 rockn Project Draft => PartDesign
2021-02-23 21:27 wmayer Status new => confirmed
2021-02-24 09:55 wmayer Relationship added related to 0004494
2021-02-24 16:30 wmayer Changeset attached => FreeCAD master bc5311b3
2021-02-24 16:30 wmayer Note Added: 0015429
2021-02-24 16:30 wmayer Assigned To => wmayer
2021-02-24 16:30 wmayer Status confirmed => closed
2021-02-24 16:30 wmayer Resolution open => fixed